function MqttToOpcuaUpdatePage()
{
	var SaveGlobalVariable = function(Row){MqttToOpcuaUpdatePage.prototype._SaveGlobalVariable_(Row);};
	var IsSaveGlobalVariable = function(){return MqttToOpcuaUpdatePage.prototype._IsSaveGlobalVariable_();};
	var ShowFirstPage = function(){MqttToOpcuaUpdatePage.prototype._ShowFirstPage_();};
	this.Initialization = function(){MqttToOpcuaUpdatePage.prototype._Initialization_();};
}










function MqttToOpcuaFirstPage()
{
  //工具列
  var UpdateTableToolbar = function(ObjectKey, DisplayNumber){MqttToOpcuaFirstPage.prototype._UpdateTableToolbar_(ObjectKey, DisplayNumber);};
  this.ShowPreviousPage  = function(){MqttToOpcuaFirstPage.prototype._ShowPreviousPage_();};
  this.ShowNextPage      = function(){MqttToOpcuaFirstPage.prototype._ShowNextPage_();};
  //表格
  var ShowTable = function(ObjectKey, DisplayNumber){MqttToOpcuaFirstPage.prototype._ShowTable_(ObjectKey, DisplayNumber);};
  //介面
  this.RedisplayUi = function(){MqttToOpcuaFirstPage.prototype._RedisplayUi_();};
  //取值
  var GetAllDeviceName = function(){return MqttToOpcuaFirstPage.prototype._GetAllDeviceName_();};
  var GetAllNumber     = function(){return MqttToOpcuaFirstPage.prototype._GetAllNumber_();};
  var GetAllModuleData = function(){return MqttToOpcuaFirstPage.prototype._GetAllModuleData_();};
  //判斷
  var IsAllTransformOpcUa = function(){return MqttToOpcuaFirstPage.prototype._IsAllTransformOpcUa_();};
  //初始化
  this.Initialization = function(){MqttToOpcuaFirstPage.prototype._Initialization_();};
  //傳輸
  var TransmissionJson = function(ssocket, Command, JsonString, Callback){MqttToOpcuaFirstPage.prototype._TransmissionJson_(ssocket, Command, JsonString, Callback);};
  var SaveFinished     = function(that, ssocket){MqttToOpcuaFirstPage.prototype._SaveFinished_(that, ssocket);};
  var SaveStart        = function(that, ssocket){MqttToOpcuaFirstPage.prototype._SaveStart_(that, ssocket);};
  //按鈕
  this.EditButton = function(that){MqttToOpcuaFirstPage.prototype._EditButton_(that);};
  this.SaveButton = function(that){MqttToOpcuaFirstPage.prototype._SaveButton_(that);};
  //交集，差集
  var ArrayInteraction = function(FirstArray, SecondArray){return MqttToOpcuaFirstPage.prototype._ArrayInteraction_(FirstArray, SecondArray);};
  var ArrayComplement  = function(FirstArray, SecondArray){return MqttToOpcuaFirstPage.prototype._ArrayComplement_(FirstArray, SecondArray);};
  //Checkbox
  this.ChangeAllCheckbox = function(that){MqttToOpcuaFirstPage.prototype._ChangeAllCheckbox_(that);};
  this.ChangeCheckbox    = function(that){MqttToOpcuaFirstPage.prototype._ChangeCheckbox_(that);};
}










function MqttToOpcuaSecondPage()
{
  //變數表
  var VariableTableAddNewRow       = function(number){MqttToOpcuaSecondPage.prototype._VariableTableAddNewRow_(number);};
  var SetVariableTableNewRowValue  = function(number){MqttToOpcuaSecondPage.prototype._SetVariableTableNewRowValue_(number);};
  var SetVariableTableInitialValue = function(number){MqttToOpcuaSecondPage.prototype._SetVariableTableInitialValue_(number);};  
  //取值
  var GetModuleName = function(number){return MqttToOpcuaSecondPage.prototype._GetModuleName_(number);};
  //交集 差集
  var ArrayInteraction = function(FirstArray, SecondArray){return MqttToOpcuaSecondPage.prototype._ArrayInteraction_(FirstArray, SecondArray);};
  var ArrayComplement  = function(FirstArray, SecondArray){return MqttToOpcuaSecondPage.prototype._ArrayComplement_(FirstArray, SecondArray);};
  //介面
  var ClearTable       = function(number){MqttToOpcuaSecondPage.prototype._ClearTable_(number);};
  this.ConfirmButton   = function(){MqttToOpcuaSecondPage.prototype._ConfirmButton_();};
  this.NoConfirmButton = function(){MqttToOpcuaSecondPage.prototype._NoConfirmButton_();};
  //全域變數 或 物件
  var ModifyMqttToOpcuaVariableObject = function(that){MqttToOpcuaSecondPage.prototype._ModifyMqttToOpcuaVariableObject_(that);};
  var SetFormInitialValue             = function(number){MqttToOpcuaSecondPage.prototype._SetFormInitialValue_(number);};
  var SetInitialValue                 = function(number){MqttToOpcuaSecondPage.prototype._SetInitialValue_(number);};
  //對照
  var GetReadWriteType = function(string){return MqttToOpcuaSecondPage.prototype._GetReadWriteType_(string);};
}